ソースを参照

merror and mnotify for notifications, changed formatting for some things, error and info icons, changed some sounds

master
mort 9年前
コミット
5abced11e7
11個のファイルの変更21行の追加5行の削除
  1. バイナリ
      assets/img/error.png
  2. バイナリ
      assets/img/info.png
  3. バイナリ
      assets/sounds/ding.mp3
  4. バイナリ
      assets/sounds/error.mp3
  5. 4
    0
      bin/merror
  6. 4
    0
      bin/mnotify
  7. 9
    4
      bin/mrec
  8. 1
    1
      bin/mshot
  9. 1
    0
      bin/naut
  10. 1
    0
      bin/touchpad-toggle
  11. 1
    0
      bin/youtube-stream

バイナリ
assets/img/error.png ファイルの表示


バイナリ
assets/img/info.png ファイルの表示


バイナリ
assets/sounds/ding.mp3 ファイルの表示


バイナリ
assets/sounds/error.mp3 ファイルの表示


+ 4
- 0
bin/merror ファイルの表示

@@ -0,0 +1,4 @@
#!/bin/bash

msound error.mp3
notify-send -u critical -i ~/assets/img/error.png "$1" "$2"

+ 4
- 0
bin/mnotify ファイルの表示

@@ -0,0 +1,4 @@
#!/bin/bash

msound ding.mp3
notify-send -u low -i ~/assets/img/info.png "$1" "$2"

+ 9
- 4
bin/mrec ファイルの表示

@@ -17,14 +17,18 @@ elif [ "$1" = "" ]; then #stop recording

kill $pid

while [ -e "/proc/$pid" ]; do sleep 0.1; done
while [ -e "/proc/$pid" ]; do
clear
cat ~/.mreclog
sleep 0.1;
done

mupload ~/.mrecfile.ogv "vid/${name}.ogv"

if [ $? -eq 0 ]; then
msound ding.mp3
mnotify "mrec" "File uploaded to $URL"
else
msound error.mp3
merror "mrec" "Couldn't upload recording."
echo "An error occurred." 1>&2
exit 1
fi
@@ -32,9 +36,10 @@ else #start recording
rm ~/.mrecfile.ogv &>/dev/null
rm ~/.mrecname &>/dev/null
rm ~/.mrecpid &>/dev/null
rm ~/.mreclog &>/dev/null
sleep 0.2
echo "$1" > ~/.mrecname

recordmydesktop -x $X -y $Y --width $W --height $H -o ~/.mrecfile.ogv &
recordmydesktop -x $X -y $Y --width $W --height $H -o ~/.mrecfile.ogv > ~/.mreclog 2>&1 &
echo $! > ~/.mrecpid
fi

+ 1
- 1
bin/mshot ファイルの表示

@@ -12,7 +12,7 @@ mupload "$DIR/pic.png" "img/${1}.png"
if [ $? -eq 0 ]; then
msound camera-shutter.mp3
else
msound error.mp3
merror "mshot" "Couldn't upload image file."
echo "An error occurred." 1>&2
exit 1
fi

+ 1
- 0
bin/naut ファイルの表示

@@ -1,2 +1,3 @@
#!/bin/sh

nautilus --no-desktop

+ 1
- 0
bin/touchpad-toggle ファイルの表示

@@ -1,4 +1,5 @@
#!/bin/sh

synclient -l | grep -P "TouchpadOff\s+\=\s+0"

if [ $? -eq 0 ]; then

+ 1
- 0
bin/youtube-stream ファイルの表示

@@ -1,4 +1,5 @@
#!/bin/sh

dir="$(mktemp -d)"
cd "$dir"
youtube-dl "$1"

読み込み中…
キャンセル
保存